Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.value
Class NamespaceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.modeshape.jcr.value.NamespaceException

All Implemented Interfaces:
  Serializable

    @Immutable
    public class NamespaceException

extends RuntimeException

A runtime exception denoting that a namespace was invalid or not found.

See Also:
  Serialized Form

Constructor Summary
`NamespaceException()`
`NamespaceException(String message)`
`NamespaceException(String message, Throwable cause)`
`NamespaceException(Throwable cause)`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamespaceException

    public NamespaceException()

### NamespaceException

    public NamespaceException(String message)

Parameters:
  `message` -

### NamespaceException

    public NamespaceException(Throwable cause)

Parameters:
  `cause` -

### NamespaceException

    public NamespaceException(String message,
                              Throwable cause)

Parameters:
  `message` -
  `cause` -

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.